#
# spec file for package lxqt-build-tools
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lxqt-build-tools
Version:        0.10.0
Release:        150400.1.5
Summary:        Core build tools for LXQt
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
URL:            http://www.lxqt.org
Source:         https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
BuildRequires:  cmake >= 3.1.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core) >= 5.15
BuildRequires:  pkgconfig(glib-2.0) >= 2.50
BuildArch:      noarch

%description
This package provides several tools needed to build LXQt itself as well as other components maintained by the LXQt project.

%package devel
Summary:        Tools for building lxqt
Group:          Development/Libraries/C and C++
Requires:       pkgconfig
Requires:       pkgconfig(Qt5Core)

%description devel
This package provides several tools needed to build LXQt itself as well as other components maintained by the LXQt project.

These tools used to be spread over the repositories of various other components and were summarized to ease dependency management. So far many components, in particular [liblxqt](https://github.com/lxde/liblxqt), were representing a build dependency without being needed themselves but only because their repository was providing a subset of the tools which are now summarized here. So the use of this repository will reduce superfluous and bloated dependencies.

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install

%files devel
%doc AUTHORS CHANGELOG README.md
%license BSD-3-Clause
%{_datadir}/cmake/
%{_bindir}/lxqt-transupdate

%changelog
* Fri Nov  5 2021 mvetter@suse.com
- Update to 0.10.0:
  * Set the minimum required version of Qt to 5.15.
* Fri Apr 16 2021 mvetter@suse.com
- Update to 0.9.0:
  * A CMake FindXTerm module is added.
* Wed Nov  4 2020 mvetter@suse.com
- Update to 0.8.0:
  * Removed version checks for some LXQt dependencies.
  * Added a Fontconfig CMake find module.
  * Suppressed warning about find_package_handle_standard_args
    package name mismatch.
* Fri Apr 24 2020 callumjfarmer13@gmail.com
- Update to version 0.7.0
  * String casts are forbidden explicitly.
  * CMake find modules are added for some xdg-utils tools.
  * The minimum Qt version is incremented to 5.10.
* Thu Jan 31 2019 mvetter@suse.com
- Update to 0.6.0:
  * Introduced lxqt-transupdate for translation updates
  * Set cmake_minimum_required to 3.1.0
  * Consider QT_SELECT - some distributions use this tool
  * Drop 0X and 11 support, require c++14
  * Removed obsolete FindFm module
* Tue May 22 2018 mvetter@suse.com
- Update to 0.5.0:
  * LXQtCompilerSettings: Set CMAKE_C_VISIBILITY_PRESET to hidden
  * Don’t allow Qt foreach/Q_FOREACH
  * Require Qt 5.7.1
  * Adds a FindXKBCommon CMake module
  * Adds ECMFindModuleHelpers CMake module
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.4.0:
  * Bump version to 0.4.0
  * Added needed versions
  * remove version set from LXQtConfigVars.in
  * Move LXQt version to liblxqt
  * Fixes a FTBFS with superbuild mode
  * Adds a FindExif module
  * LXQtCompilerSettings: Fixes a typo in diagnostics-color
  * Adds (Ninja) colored diagnostics for GCC (>=4.9)
  * Enable strict iterators for debug builds
* Tue Jun 20 2017 alarrosa@suse.com
- Update to 0.3.2
  * Bump version to 0.3.2 - finally the build tools are arch: all (#15)
  * Warnings (#16)
  * Remove arched bits from version.cmake-file (#14)
  * Fixed missing point in version string
- Update Source URLs
* Sat Mar  4 2017 sfalken@opensuse.org
- Update Source URLs
- Normalize .spec file to match with version in X11:LXQt:git
* Sat Mar  4 2017 mvetter@suse.com
- Install BSD License file
* Thu Feb 23 2017 sfalken@opensuse.org
- Initial Commit.   New Package that will be needed for building
  lxqt going forward.
